# ApplicationFramework
TKXmlTObj
XmlTObjDrivers

# XmlTObjDrivers_IntSparseArrayDriver Class Reference

`#include <XmlTObjDrivers_IntSparseArrayDriver.hxx>`

Inheritance diagram for XmlTObjDrivers_IntSparseArrayDriver:

[legend]

## Public Member Functions

Standard_EXPORT | XmlTObjDrivers_IntSparseArrayDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT | Handle (TDF_Attribute) NewEmpty() const
Standard_EXPORT Standard_Boolean | Paste (const XmlObjMgt_Persistent &theSource, const Handle(TDF_Attribute)&theTarget, XmlObjMgt_RRelocationTable &theRelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&theSource, XmlObjMgt_Persistent &theTarget, XmlObjMgt_SRelocationTable &theRelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .

## Constructor & Destructor Documentation

Standard_EXPORT XmlTObjDrivers_IntSparseArrayDriver::XmlTObjDrivers_IntSparseArrayDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT XmlTObjDrivers_IntSparseArrayDriver::Handle | ( | TDF_Attribute |  | ) | const

Standard_EXPORT void XmlTObjDrivers_IntSparseArrayDriver::Paste | ( | const Handle(TDF_Attribute)& | theSource,
|  | XmlObjMgt_Persistent & | theTarget,
|  | XmlObjMgt_SRelocationTable & | theRelocTable
| ) | const`[virtual]`

| Implements XmlMDF_ADriver.

Standard_EXPORT Standard_Boolean XmlTObjDrivers_IntSparseArrayDriver::Paste | ( | const XmlObjMgt_Persistent & | theSource,
|  | const Handle(TDF_Attribute)& | theTarget,
|  | XmlObjMgt_RRelocationTable & | theRelocTable
| ) | const`[virtual]`

| Implements XmlMDF_ADriver.

The documentation for this class was generated from the following file:

- XmlTObjDrivers_IntSparseArrayDriver.hxx